@charset "utf-8";
@import url("./base.css");

body{background-color: #F5F5F5;}
/*分页*/
.page{display: flex;justify-content: center;align-items: center;flex-wrap: wrap;margin-top: 2rem;}
.page > *{display: inline-flex;justify-content: center;align-items: center;min-width: 2rem;height: 2rem;box-sizing: border-box;padding: 0 .8rem;margin: 0 .3rem;background-color: transparent;border: 1px solid #D9D9D9;border-radius: 2px;color: #494949;transition: .3s;}
.page input{width: 1.5rem;background-color: transparent;text-align: center;}
.page .no-border{padding: 0;margin: 0;border-color: transparent;}
.page > a.on,.page > a:hover{background-color: #2778F8;border-color: #2778F8;color: #fff;}

/*顶部搜索栏*/
.top-search-wrap{display: flex;align-items: center;z-index: 1;position: sticky;top: 0;height: 2.5rem;box-sizing: border-box;padding: .5rem 1rem;background-color: #2778F8;}
.top-search-wrap .text-input{flex: 1;box-sizing: border-box;height: 100%;padding: 0 0.8rem 0 2.2rem;margin-right: 0.5rem;border-radius: 1rem;background: #fff url('data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTgiIGhlaWdodD0iMTgiIHZpZXdCb3g9IjAgMCAxOCAxOCIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48ZyBzdHJva2U9IiMwMDAiIHN0cm9rZS13aWR0aD0iMS4yIiBmaWxsPSJub25lIiBmaWxsLXJ1bGU9ImV2ZW5vZGQiIHN0cm9rZS1saW5lam9pbj0icm91bmQiPjxwYXRoIGQ9Ik04LjIxNCAxNS40MjdBNy4yMTQgNy4yMTQgMCAxIDAgOC4yMTQgMWE3LjIxNCA3LjIxNCAwIDAgMCAwIDE0LjQyN3oiLz48cGF0aCBkPSJNMTAuNjE0IDUuMzg5YTMuMzg0IDMuMzg0IDAgMCAwLTIuNC0uOTk0Yy0uOTM4IDAtMS43ODYuMzgtMi40Ljk5NE0xMy4zOTkgMTMuMzk5TDE3IDE3IiBzdHJva2UtbGluZWNhcD0icm91bmQiLz48L2c+PC9zdmc+') .8rem center no-repeat;background-size: .8rem .8rem;}
.top-search-wrap .sub-btn{width: 3rem;height: 1.5rem;background-color: #ffffff;color: #000000;border-radius: 1rem;}

/*banner*/
.banner{position: relative;overflow: hidden;}
.banner .swiper-slide .pic{display: block;padding-top: 56.25%;background-position: center;background-size: cover;background-repeat: no-repeat;transition: 10s linear;}
.banner .swiper-pagination{z-index: 2;bottom: .5rem;display: flex;justify-content: center;align-items: center;}
.banner .swiper-pagination .swiper-pagination-bullet{width: .4rem;height: .4rem;margin: 0 .2rem;transition: .5s;}
.banner .swiper-pagination .swiper-pagination-bullet-active{background-color: #ff4c52;}

/******首页******/
.index-container{min-height: 25rem;padding: 1rem 0 2rem;overflow: hidden;}

/*职位信息列表*/
.position-info-list li{padding: .8rem .6rem;margin-bottom: 1rem;background-color: #fff;border-radius: .4rem;cursor: pointer;}
.position-info-list li .top{display: flex;justify-content: space-between;align-items: center;font-weight: bold;}
.position-info-list li .middle{display: flex;justify-content: space-between;align-items: center;margin: .8rem 0;color: #666;}
.position-info-list li .bottom{display: flex;justify-content: space-between;align-items: center;color: #666;}
.position-info-list li .pay{color: #2778f8;}
.position-info-list li .tags{display: flex;align-items: center;}
.position-info-list li .tags span{display: inline-flex;padding: 0 .4rem;margin-right: .2rem;background-color: #eee;border-radius: .2rem;font-size: .6rem;line-height: 1.2rem;}
.position-info-list li .company{flex: 1;display: inline-flex;align-items: flex-start; max-width: calc(100% - 5em);}
.position-info-list li .company::before{content: '';flex: 0 0 .8rem;height: .8rem;margin: .1rem .3rem 0 0;background: url(../images/icon_qiye.png) center no-repeat;background-size: contain;border-radius: .2rem;}
.position-info-list li .date{font-size: .6rem;color: #999;}

/*弹窗-个人信息*/
.popup-person-info{padding: 1rem;}
/*个人信息表单*/
.person-info-form .main-title{margin-bottom: 1.2rem;text-align: center;font-weight: bold;color: #333333;}
.person-info-form .row{align-items: center;margin-bottom: .8rem;}
.person-info-form .row .name {flex: 0 0 3.6rem;padding: 0 .5rem 0 0;font-weight:bold;color: #333;}
.person-info-form .btns-area{margin-top: 1.3rem;}
.person-info-form .btns-area .btn{background-color: #2778F8;color: #fff;min-width: 5rem; line-height: 1.8rem;font-weight:bold;}
.person-info-form .btns-area .btn[type='submit']{line-height: initial;}
.person-info-form .info-content input{border-radius:4px;font-size:0.72rem;}


/*笔记本1920*1080显示放大比例为125%，实际分辨率为1920/1.25=1536*/
@media screen and (max-width: 1550px){
	
}

/*中屏PC，分辨率1366*/
@media screen and (max-width: 1440px){
	
}

/*小屏PC，分辨率1280*/
@media screen and (max-width: 1300px){
	
}

/*pad横屏，分辨率1024*/
@media screen and (max-width: 1024px){
	/*分页*/
    .page{margin-top: 1.5rem;}
    .page > *{min-width: 1rem;height: 1.2rem;padding: 0 .3rem;margin: 0 .1rem;}
}

/*phone和pad竖屏，分辨率820*/
@media screen and (max-width: 820px){
.person-info-form .row .name {flex: 0 0 2.6rem;}
}